<?php
	
	// print helper

	function _e($s,$d = false ){ echo '<pre>';print_r($s);echo '</pre>';if($d) die(); }

	
	// @data_arr : string array dataya cevir

	function data_arr($str = false){

	 	if(!$str) return false;

		$str = trim($str);
		$str = explode(PHP_EOL,$str);
		$arr = [];

		foreach ($str as $key => $value) {
			$arr[$key] = explode('|',trim($value));
		}

		return $arr;
    };

	
	// @data_set : datayı degeri setler

	function data_set($arr, $i, $v=false ){

	 	$arr[$i][0] = $v ? $v : $arr[$i][0]+1;

	 	return $arr;
    };



    // senin string data
    
    $str ='
		1|gs
		2|fb
		33|ts
		4|bjk
		67|ist
		6|ank
		';


	
	echo '<code>  <b>String verini array dataya asagidaki fonksiyon ile al</b> <br> <br>  $strArr = data_arr($str);</code>';
    $strArr = data_arr($str);

    _e($strArr);


    
    echo '<code> <b>Simdi setlemek istedigin index kaydını asagidaki gibi yaz </b> <br><br> $setArr = data_set($strArr,2);</code>';

    $setArr = data_set($strArr,2);
?>
	<ul class="f-1">
    	<li><?php _e($setArr);   ?></li>
    	<li><?php _e($setArr[2]); ?></li>
    </ul>

<?php

    echo '<code> <b>Bir arttırmak yerine kendin deger vermek istersen</b> <br><br>$setArr = data_set($strArr,1,"alico");</code>';

    $setArr = data_set($strArr,1,'alico');
?>
	<ul class="f-1">
    	<li><?php _e($setArr);   ?></li>
    	<li><?php _e($setArr[1]); ?></li>
    </ul>



<style>
	*{margin: 0; padding: 0}
	li{ list-style-type: none; }	
	body { font: normal 13px monospace; padding:1rem }
	code { display: block; margin: 30px 0; max-width: 60%; border-radius: 4px; padding: 10px; background: #666; color:white }
	.f-1 { display: flex; gap: 15px}
	.f-1 li {padding: 0 20px; background: #ddd; border-radius: 8px;}
</style>

